Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 18 Feb 2022 10:06:02 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I want to log an official complaint, I booked order # 9557698066 and I didn't receive it yet

As per your system, I rejected the order on 16/02/2022 where I did not and no one contact me 

I want a call from the customer service manager to understand why my order has been canceled and when I will receive my order 

Regards
Mohammed Dawood
0508899971 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3910886